package com.ffii.fpsms.modules.bag.web.model
import java.time.LocalDate;
import java.time.LocalTime;
data class PickBagRequest(
    val bags: List<BagRequest>
)
data class BagRequest(
    val bagId: Long,
    val consumedQty: Int,
    val scrapQty: Int
)

data class CreateBagLotLineRequest(
    val bagId: Long,
    val stockOutLineId: Long,
    val lotId: Long,
    val itemId: Long,
    val lotNo: String,
    val stockQty: Int,
    val date: LocalDate,
    val time: LocalTime,
)

data class CreateJoBagConsumptionRequest(
    val bagId: Long,
    val bagLotLineId: Long,
    val jobId: Long,
    //val startQty: Int,
    val consumedQty: Int,
    val scrapQty: Int,
    //val date: LocalDate,
    //val time: LocalTime,
)